package com.logicbig.example;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.stream.IntStream;

public class TypeSafeCheckedCollectionExample {

    public static void main(String[] args) {
        List<Integer> list = new ArrayList<>(Arrays.asList(1, 3, 4, 5));
        list = Collections.checkedList(list, Integer.class);
        NotMyUtil.squared(list);
        IntStream intStream = list.stream()
                                  .mapToInt(Integer::intValue);
        int sum = intStream.sum();
        System.out.println(sum);
    }
}